Skip to main content
Version

Connect (1.0.0)

Download OpenAPI specification:Download

License: Apache 2.0

API description for the internal API of CM.com's Connect product. The Connect product aims to provide an out-of-the-box no-code integration platform between CM.com's solutions and third-party SaaS products.

Connect

Connect the customer to the adapter they configured in the Connect product

Call any endpoint on the CM.com adapter for the specified configuration

Call any endpoint on the specified Connect adapter

Authorizations:
apiKey
path Parameters
configurationId
required
integer <int64>

Configuration ID

adapterId
required
integer <int64>

Adapter ID

Request Body schema: application/json
required

Contains the HTTP method to call on the CM.com adapter

method
string
Enum: "get" "post" "put" "delete" "patch"

The HTTP method to call on the connect service

path
string

URI path to call on the connected service, e.g. /customers/123/invoices

Array of objects

Key value pairs transformed to query parameters to the connected service, e.g. ?key=value&key2=value2

object

When provided this will be sent to the connected service as the request body. If the specified method is GET, this will be ignored.

Responses

Request samples

Content type
application/json
{
  • "method": "put",
  • "path": "/customers/3",
  • "query": [],
  • "data": {
    }
}